# DockStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the position and manner in which a control is docked.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DockStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DockStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                            |
| ---------- | ------------------------------------------------------------------------------------------------------ |
| **Bottom** | The control's bottom edge is docked to the bottom of its containing control.                           |
| **Fill**   | All the control's edges are docked to the all edges of its containing control and sized appropriately. |
| **Left**   | The control's left edge is docked to the left edge of its containing control.                          |
| **None**   | The control is not docked.                                                                             |
| **Right**  | The control's right edge is docked to the right edge of its containing control.                        |
| **Top**    | The control's top edge is docked to the top of its containing control.                                 |

## Used By

| Name                                                                                                                       | Description                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| [Control.Dock](/api/wisej.web/general/control.md#dock)                                                                     | Returns or sets which control borders are docked to its parent control and determines how a control is resized with its parent.   |
| [Control.LayoutChildren](/api/wisej.web/general/control.md#layoutchildren-dock-spacing-usemargins-halign-valign)           | Arranges all the child [Control](/api/wisej.web/general/control.md) using the specified *dock* style, spaced by *spacing* pixels. |
| [Label.Dock](/api/wisej.web/content/wisej.web.label.md#dock)                                                               | Returns or sets which control borders are docked to its parent control and determines how a control is resized with its parent.   |
| [Desktop.Dock](/api/wisej.web/containers/desktop.md#dock)                                                                  | Returns or sets which control borders are docked to its parent control and determines how a control is resized with its parent.   |
| [MenuBar.Dock](/api/wisej.web/menus/wisej.web.menubar.md#dock)                                                             |                                                                                                                                   |
| [StatusBar.Dock](/api/wisej.web/containers/statusbar.md#dock)                                                              | Returns or sets the docking behavior of the [StatusBar](/api/wisej.web/containers/statusbar.md) control.                          |
| [ToolBar.Dock](/api/wisej.web/containers/toolbar.md#dock)                                                                  |                                                                                                                                   |
| [ControlExtensions.Dock](/api/wisej.web.markup/extensions/wisej.web.markup.controlextensions.md#dock-control-dockposition) | Sets the dock style for the specified control.                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dockstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
